Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.atlases »

# mvpa2.atlases.ReferencesAtlas

class `mvpa2.atlases.``ReferencesAtlas`(distance=0, reference_level=None, *args, **kwargs)

  Atlas which provides references to the other atlases.

  Example: the atlas which has references to the closest points (closest Gray, etc) in another atlas.

  Methods

  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) |
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.
  `set_distance`(distance) | Set desired maximal distance for the reference
  `set_reference_level`(level) | Set the level which will be queried

  Initialize `ReferencesAtlas`

  Parameters:

  filename : str

  > Filename for the xml definition of the atlas

  resolution : None or float

  > Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution

  image_file : None or str

  > If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps

  coordT :

  > Optional transformation to apply first

  default_levels : None or slice or list of int

  > What levels by default to operate on

  load_maps : bool

  > Load spatial maps for the atlas.

  Methods

  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) |
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.
  `set_distance`(distance) | Set desired maximal distance for the reference
  `set_reference_level`(level) | Set the level which will be queried

  `distance`
  `label_voxel`(c, levels=None)
  `levels_listing`()
  `reference_level`
  `set_distance`(distance)

    Set desired maximal distance for the reference

  `set_reference_level`(level)

    Set the level which will be queried

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.atlases »